/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\ML Minor Artys\artifacts\HelmOfSwiftness.cs
Lines of code: 41
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HelmOfSwiftness : WingedHelm
	{
		public override int BasePhysicalResistance{ get{ return 6; } }
		public override int BaseFireResistance{ get{ return 5; } }
		public override int BaseColdResistance{ get{ return 6; } }
		public override int BasePoisonResistance{ get{ return 6; } }
		public override int BaseEnergyResistance{ get{ return 8; } }
		
		public override int InitMinHits{ get{ return 100; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		public override Race RequiredRace { get { return Race.Elf; } }

		[Constructable]
		public HelmOfSwiftness()
		{
			Hue = 0x237;
			Name = "Helm of Swiftness";
			
			Attributes.BonusInt = 5;
			Attributes.CastSpeed = 1;
			Attributes.CastRecovery = 2;
			ArmorAttributes.MageArmor = 1;
		}

		public HelmOfSwiftness( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
			
			if ( Hue != 0x237 )
				Hue = 0x237;
		}
	}
}